<!--

// This file is part of Samay - a timetabling software for 
// schools, colleges/universities.
//
// Samay is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Samay is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Samay.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Copyright 2007 Abhijit A. M.(abhijit13@gmail.com)
 */
-->

<table border = "0" padding = "0" style = "width:100%;" id="outerTable">
	<tr>
		<td class="outercol1"> 
			<div id="title" align="center"> <h2> COEP TimeTable </h2> </div>
		</td>
		<td class="outercol2" rowspan="3" border="1" id="configuration-menu-column">
			<table class="outercol2Table" id="outercol2Table">
			<tr>
				<td>
					<div id="hideButton" class="hideButton">
						<a href="javascript:void(0)" onclick='hideSidePane()'> Hide &gt;
						</a>
					</div>
				</td>
			</tr>
			<tr>
				<td>
					<div id="configurationDiv" class="selection-menu">
						Configuration	
						<select id="configuration-menu" class="select-menu" display="none">
							<option id = "selectOne" value = "selectOne" selected></option>
							<optgroup label="Primary Data">
							<option value = "teachers" onclick="teacherForm()">Teachers</option>
							<option value = "subjects" onclick="subjectForm()">Subjects</option>
							<option value = "classes" onclick="classForm()">Classes</option>
							<option value = "batchs" onclick="batchForm()">Batches</option>
							<option value = "rooms" onclick="roomForm()">Rooms</option>
							<option value = "depts" onclick="deptForm()">Depts</option>
							</optgroup>
							<optgroup label="Mappings">
							<option value = "subjectClassMapping" onclick="sctForm()"> 
									Class-Subject-Teacher</option>
							<option value = "subjectBatchMapping" onclick="sbtForm()"> 
									Batch-Subject-Teacher</option>
							</optgroup>
							<optgroup label="Overlaps">
							<option value = "batchCanOverlap" onclick="batchCanOverlapForm()"> 
									Overlaps Allowed</option>
							<option value = "overlappingSBT" onclick="overlappingSBTForm()"> 
									Overlaps Must</option>
							</optgroup>
							<optgroup label="Room Preferences">
							<option value = "classRoom" onclick="classRoomForm()"> 
									For Classes</option>
							<option value = "batchRoom" onclick="batchRoomForm()"> 
									For Batches</option>
							<option value = "subjectRoom" onclick="subjectRoomForm()"> 
									For Subjects</option>
							</optgroup>
							<option value = "config" onclick="configForm()"> 
									Configure Timetable</option>
							<option value = "user" onclick="userForm()">Users</option>
						</select>
					</div>
				</td>
			</tr>
			<tr>
				<td>
					<div id="trackerDiv" class="selection-menu"> 
						Dashboard
						<a href="javascript:void(0)" onclick='hideTracker()'> Hide </a> 
						<div id="tracker" rows = "3" cols = "20" readonly="readonly">
						</div>
					</div>
				</td>
			</tr>
			<tr>
				<td>
					<div id="warningsDiv" class="selection-menu">
						Warnings
					</div>
				</td>
			</tr>
		</table>	
		</td>
	</tr>
	<tr>
	<!-- The Menus -->
		<td  class="outercol1" id="selection-menu-column">
		<div class = "selection-menu">
			See Classwise<br>
			<select id = "class-menu" class= "select-menu" display="none">
				<option value = "EMPTY"> </option>
			</select>
		</div>
		<div class = "selection-menu">
			See Roomwise<br>
				<select id = "room-menu" class= "select-menu" display="none">
				<option value = "EMPTY"> </option>
			</select> 
		</div>
		<div class = "selection-menu">
			See Teacherwise<br>
			<select id = "teacher-menu" class= "select-menu" display="none">
					<option value = "EMPTY" selected> </option>
			</select>
		</div>
			<div class = "selection-menu">
			See Batchwise<br>
				<select id = "batch-menu" class= "select-menu" display="none">
				<option value = "EMPTY"> </option>
			</select>
		</div>
		<div> 
		</div>
		<div class = "selection-menu">
			Select Snapshot<br>
			<select id = "fetch-snapshot-menu" class= "select-menu" display="none">
				<option value = "" selected></option>
			</select>
		</div>
		<div class="selection-menu" id="save-snapshot-menu" display="none"> 
			<input type=button id="saveSnapshot" value="Save"
				onclick="jsSaveSnapshot(true)" >   <br>
			<input type=button id="saveNewSnapshot" value="Save As" 
						onclick="jsSaveNewSnapshot()" > 
		</div>
		<div class = "selection-menu">
			<form action="timetable.php" method="POST">
			Export/Import <br>
			<select name="type" class= "select-menu" id="export-menu" display="none">
				<option value = "" selected></option>
				<option value = "Excelx" onclick='jsExport("exportXLSX")'>Timetable as Excelx</option>
				<option value = "SQL" onclick='jsSQLExport("timetable")'>Database as SQL</option>
				<option value = "DExcelx" onclick='jsExport("exportConfigXLSX")'>Configuration as Excelx</option>
				<option value = "zip" onclick='jsExport("exportCSV")'>Timetable as CSV</option>
				<option value = "Excelx" onclick='alert("not supported")'>Import Timetable as Excelx</option>
				<option value = "DExcelx" onclick='alert("not supported")'>Import Configuration as Excelx</option>
			</select>
			</form>
		</div>
		</td>
		<!--td class="outercol2">
		</td-->
	</tr>
	<!-- The Main TimeTable-->
	<tr>
		<td id = "mainTimeTable" class="outercol1">
		</td>
		<!--td class="outercol2">
		</td-->
	</tr>
</table>
